%define realname ccrtp
%define version 1.0.2
%define release 1mdk

%define major 0
%define libname %mklibname %realname %major
%define libnamedev %mklibname %realname %major -d

#%define libname lib%{realname}1_%major

Summary: Ccrtp - a Common C++ class framework for RTP packets
Name: %libname
Version: %version
Release: %release
Group: Development/C++
Source: %realname-%{version}.tar.bz2
License: GPL
BuildRoot: %_tmppath/%name-buildroot
Buildrequires: libCommonC++2_1.0-devel
Url: http://www.gnu.org/software/ccrtp/

%description 
The ccrtp package offers a generic framework for sending and receiving of
realtime streaming data over UDP packets by the use of send and receive
packet queues.

%package -n %libname-devel
Summary: Ccrtp - Devel files
Group: Development/C++
Requires: %libname >= %version
Provides: libccrtp1-devel

%description -n %libname-devel
The ccrtp package offers a generic framework for sending and receiving of
realtime streaming data over UDP packets by the use of send and receive
packet queues.

- Devel files -

%package -n %realname
Summary: Ccrtp user agent
Group: System/Servers
Requires: %libname >= %version

%description -n %realname
Phone user agent

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %realname-%{version}

./configure --prefix=%{_prefix}

%build

%make

%install
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man3
make prefix=$RPM_BUILD_ROOT/%{_prefix} \
	mandir=$RPM_BUILD_ROOT/%{_mandir} infodir=$RPM_BUILD_ROOT/%{_infodir} install
make prefix=$RPM_BUILD_ROOT/%{_prefix} \
	mandir=$RPM_BUILD_ROOT/%{_mandir} man

#rm $RPM_BUILD_ROOT/%_mandir/man3/socket.h.3cc

%post -p /sbin/ldconfig

%post -n %libname-devel
%_install_info ccrtp.info

%preun -n %libname-devel
%_remove_install_info ccrtp.info

%postun -p /sbin/ldconfig

%files -n %realname
%defattr(-,root,root,0755)
%_bindir/*

%files 
%defattr(-,root,root,0755)
%doc AUTHORS COPYING NEWS README TODO ChangeLog 
%{_prefix}/lib/*.so.*
%{_mandir}/man3/*.3cc*

%files -n %libname-devel
%defattr(-,root,root,0755)
%doc COPYING
%_includedir/cc*/*
%_libdir/*.*a
%_libdir/*.so
%_infodir/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- fix buildrequires 
- 1.0.2

* Fri Feb 21 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0-0.pre2.2mdk
- change requires
- remove conflicting manpage

* Wed Feb 19 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0-0.pre2.1mdk
- 1.0pre2
- install info pages

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-4mdk
- rebuild

* Thu Oct 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-3mdk
- rebuild against new CommonC++

* Wed Aug 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-2mdk
- rebuild against new CommonC++

* Mon Jul 01 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- 0.9.1
- patch0: fix conflicting already defined values in some provided includes

* Thu Apr 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.0-0.1mdk
- 0.9.0

* Mon Jan 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Thu Nov 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-2mdk
- rebuild against new libCommonC++

* Tue Nov 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-1mdk
- 0.7.0

* Thu Oct 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-3mdk
- rebuilt against new libCommonC++

* Fri Sep 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-2mdk
- rebuild against new libCommonC++

* Fri Jul 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- updated to 0.5.0

* Fri Jul 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-1mdk
- updated to 0.4.0

* Wed Feb 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-2mdk
- remove requires & added buildrequires
- split package

* Tue Jan 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-1mdk
- updated to 0.3.1

* Mon Dec 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- new in contribs
- used srpm from David Sugar <dyfet@ostel.com> 
